Bug 26753 - Set focus for cursor to password field on Overdrive login popup on OPAC
Summary: Set focus for cursor to password field on Overdrive login popup on OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 13:46 UTC by Barbara Johnson
Modified: 2020-11-16 20:57 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC (2.42 KB, patch)
2020-10-20 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC (2.48 KB, patch)
2020-10-25 23:15 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC (2.54 KB, patch)
2020-11-01 00:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-20 13:46:40 UTC
When a logged in user clicks on the 'Log in to your OverDrive account' link they get a popup to enter their password.  Set the focus for the cursor to the password field since it's the only option and will save a click.
Comment 1 Owen Leonard 2020-10-20 15:50:46 UTC
Created attachment 112051 [details] [review]
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC

This patch modifies the OverDrive login process so that clicking the
"Log in to your OverDrive account" link automatically puts the focus on
the password field when the modal displays.

Unrelated change: A redundant "document.ready" function has been
removed.

To test you must have OverDrive credentials set in system preferences.

 - Log in to the OPAC.
 - On the "Your summary" page, open the "OverDrive account" tab.
 - Click the "Log in to your OverDrive account" link.
 - A modal dialog should appear, and the cursor focus should
   automatically be on the password field.
Comment 2 ByWater Sandboxes 2020-10-25 23:15:51 UTC
Created attachment 112489 [details] [review]
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC

This patch modifies the OverDrive login process so that clicking the
"Log in to your OverDrive account" link automatically puts the focus on
the password field when the modal displays.

Unrelated change: A redundant "document.ready" function has been
removed.

To test you must have OverDrive credentials set in system preferences.

 - Log in to the OPAC.
 - On the "Your summary" page, open the "OverDrive account" tab.
 - Click the "Log in to your OverDrive account" link.
 - A modal dialog should appear, and the cursor focus should
   automatically be on the password field.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2020-11-01 00:00:03 UTC
Created attachment 112792 [details] [review]
Bug 26753: Set focus for cursor to password field on Overdrive login popup on OPAC

This patch modifies the OverDrive login process so that clicking the
"Log in to your OverDrive account" link automatically puts the focus on
the password field when the modal displays.

Unrelated change: A redundant "document.ready" function has been
removed.

To test you must have OverDrive credentials set in system preferences.

 - Log in to the OPAC.
 - On the "Your summary" page, open the "OverDrive account" tab.
 - Click the "Log in to your OverDrive account" link.
 - A modal dialog should appear, and the cursor focus should
   automatically be on the password field.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:57:14 UTC
enhancement will not be backported to 20.05.x